#ライブラリインポート
import wx
from datetime import datetime,timedelta,timezone
import time
import RPi.GPIO as GPIO

#ファイル分割インポート
from src.get_status import GetDate
from src.figure_changer import FigSet,CountRight,CountLeft,GetCount
from src.animation import RunAnimation,CountUp
from src.gpio_setup import GPIOStart,GPIOExit
from src.comm_snd import CommSend
from src.start_frame import StartFrame
from src.select_ready import SelectFrame,ReadyFrame
from src.run_frame import RunFrame,CommEvent,CommunicationThread
from src.finish_frame import FinishFrame
from src.emergency import Emergency
from src.exit_frame import ExitFrame

application=wx.App()
GPIOStart()
frame=StartFrame(parent=None,id=-1)
frame.Show()
application.MainLoop()
